#!/bin/bash

###############################################################
#
#  Kill RHB instance if necessary
#
#

pkill RHB;

###############################################################
#
#  Display data file content summary
#
#  see in the file : label 2001 is oscillo
#

echo "-------------------------------------------------------------------"

faster_disfast  ../../adc_data_0001.fast  -I

echo "-------------------------------------------------------------------"

###############################################################
#
#  Send data to RHB at 25Hz
#     => 0.04s delay (1/25)
#     => processus in background (&)
#

faster_file2rhb  ../../adc_data_0001.fast  0.04  &

###############################################################
#
#  Launch RHB visu
#
#  see .RHBrc        ->  RHB default behaviours
#      OSC.pid       ->  faster data declaration
#      OSC.facqConf  ->  histograms declaration
#      OSC.rhvConf   ->  visualisation configuration
#

RHB  -r
